#ifndef SetRepetitionTime_H
#define SetRepetitionTime_H

#include <Command.h>

#include "DParameter.h"
namespace ProtoGenWrapper
{
	class DiagService;

	class SetRepetitionTime : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		SetRepetitionTime(const DiagService& diagService, const double repetitionTime);
		SetRepetitionTime(const Command& cmd);
		bool GetValues(DiagService& diagService, double& repetitionTime) const;

		static int GetCommandType();
	};
}
#endif // SetRepetitionTime_H
